Bug 146429 - two-part locale name not support
two-part locale name not support
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-27 21:42 EST by Wei-Lun Chao
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-19 02:31:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages file of MAN (5.12 KB, patch)
2005-01-27 21:46 EST, Wei-Lun Chao
no flags Details | Diff
source patch files for locale zh (9.03 KB, patch)
2005-05-12 23:39 EDT, Wei-Lun Chao
no flags Details | Diff

  None (edit)
Description Wei-Lun Chao 2005-01-27 21:42:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-TW; rv:1.7.5)
Gecko/20041119 Firefox/1.0

Description of problem:
when searching for it's own messages or
manpages, MAN does not look into
directories with two-part locale name.


Version-Release number of selected component (if applicable):
man-1.5o1-7

How reproducible:
Always

Steps to Reproduce:
1.LANG=zh_TW.UTF-8
2.man --badargs
3.man mplayer
    

Actual Results:  MAN looks only into
zh/ and zh_TW.UTF-8/ directories
but not zh_TW/


Additional info:
Comment 1 Wei-Lun Chao 2005-01-27 21:46:34 EST
Created attachment 110339 [details]
messages file of MAN
Comment 2 Ivana Varekova 2005-03-16 04:41:30 EST
Thank you for your notice.
It was fixed (in man-1.5p-2).
Ivana Varekova 
Comment 3 Wei-Lun Chao 2005-03-17 03:03:15 EST
for manpath, it does now search in
/usr/share/man/zh:/usr/share/man/zh_TW:/usr/share/man/zh_TW.UTF-8

for message file(Comment#1), it looks only for
/usr/share/locale/zh/man and /usr/share/locale/zh_TW.UTF-8/man
but not
/usr/share/locale/zh_TW/man
Comment 4 Ivana Varekova 2005-03-17 07:53:35 EST
Thank you for your notice.
The last man package (1.5p) doesn't contain chinesse massage file. Message files
for all languages conteined in man package are stored in /usr/share/man/two_char
directories. These directories are strictly determinated. 
I think all man message files should be in two_char name directories. (In your
case/usr/share/locale/zh/).
Ivana Varekova
Comment 5 Wei-Lun Chao 2005-05-12 23:39:10 EDT
Created attachment 114322 [details]
source patch files for locale zh

add zh support into source tarball
Comment 6 Ivana Varekova 2005-05-19 02:31:45 EDT
Hello,
thaky you for your help.
I think the best solution is add translated man pages directly to the upstream
version so everyone could use this man pages (not just Fedora Core users).
Can you please send your work to Federico Lucifredi (federico@speakeasy.net) -
he is man maintainer and he can add your work directly to the upstream man. 
If there is any problem plese add a comment.
Ivana 

Note You need to log in before you can comment on or make changes to this bug.